import { App } from "@vue/runtime-core";
import type { StoreLoaderModule, StoreMeta, StoreType } from "./Types";
export declare class StoreManagerInstance {
    private app;
    private didInstantiateStores;
    /**
     * Holds store Class Name -> Store Instance
     * @type {{[p: string]: StoreType}}
     */
    stores: {
        [key: string]: StoreType;
    };
    /**
     * Holds store Class Name -> Store Module
     * @type {{[p: string]: any}}
     */
    storeModules: {
        [key: string]: any;
    };
    /**
     * Holds store Class Name -> Store Meta
     * @type {{[p: string]: StoreMeta}}
     */
    storeMeta: {
        [key: string]: StoreMeta;
    };
    /**
     * Holds a reference of Binding -> Class Name for quick lookup
     * @type {{[p: string]: string}}
     */
    storeBindingToClassName: {
        [key: string]: string;
    };
    private extensions;
    install(app: App, storeLoaderGlob: {
        [key: string]: StoreLoaderModule;
    }): void;
    handleHotReload(modules: any[]): void;
    private loadStoresFromLoader;
    private loadStore;
    private addExtensions;
    extend(extensionFunc: () => {
        [key: string]: any;
    }): void;
}
declare const storeManager: StoreManagerInstance;
export default storeManager;
